EDIT - feature request #9027

Implement Feature.availableFor
05/24/2020 04:37 PM - Andreas Mller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.15

Severity: normal

Description

This should be implemented as EnumSet. It allows to distinguish if a Feature is available for Taxon, TaxonName and/or
SpecimenOrObservation.

Related issues:

Related to EDIT - feature request #9026: Implement Feature.supportedDataTypes... Closed
Related to EDIT - feature request #9539: Implement availableFor for Extension... In Progress
Related to EDIT - feature request #7140: Separate character's/feature's recom... New
Related to EDIT - task #10109: Investigate best practice for HQL with enumset New

Has duplicate EDIT - feature request #8128: Add indicator for feature facts a... Duplicate
Precedes EDIT - feature request #9032: Implement Feature.availableFor in TaxE... Closed

Associated revisions

Revision 9b7205bb - 02/25/2019 08:49 PM - Andreas Miiller

ref #8128 first implementation to support EnumSet hibernate user types (not yet ready)

Revision 813d24c9 - 04/15/2019 03:52 PM - Andreas Miiller

ref #8128 first implementation to support EnumSet hibernate user types (not yet ready)

Revision 28fc4fe7 - 07/19/2019 06:13 PM - Andreas Miiller

ref #8128 comment changes temporarily to make them compile

Revision a8b31160 - 05/27/2020 11:22 AM - Andreas Muiller
ref #7140 , ref #8802 implement supportedDataTypes and availableFor for Feature

Revision 611cddea - 05/27/2020 11:22 AM - Andreas Miiller

ref #9027 add termloading for available for and some fixes for availableFor

Revision e922f2cf - 05/27/2020 11:22 AM - Andreas Muller
ref #9027, ref #9026 update scripts for Feature.availableFor and .supportedDataTypes

History

#1 - 05/24/2020 04:37 PM - Andreas Miiller
- Related to feature request #9026: Implement Feature.supportedDataTypes as EnumSet added

#2 - 05/26/2020 04:18 PM - Andreas Miuller

- Precedes feature request #9032: Implement Feature.availableFor in TaxEditor added

#3 - 05/26/2020 04:23 PM - Andreas Miuller

- Status changed from New to Resolved

#4 - 05/27/2020 10:41 PM - Andreas Miuiller
- Status changed from Resolved to Closed

- % Done changed from 0 to 100
Update script works as expected.

#5 - 06/15/2020 07:42 PM - Andreas Miuller

- Has duplicate feature request #8128: Add indicator for feature facts and/or vocabularies which description type they support added

#6 - 03/19/2021 12:22 PM - Andreas Miiller
- Related to feature request #9539: Implement availableFor for ExtensionType, MarkerType, AnnotationType and Identifier Type added

#8 - 09/17/2021 09:15 PM - Andreas Miuller

- Related to feature request #7140: Separate character's/feature's recommendedXXX data by usage for specimen and taxa added

#9 - 07/29/2022 08:51 PM - Andreas Miiller
- Related to task #10109: Investigate best practice for HQL with enumset added
